﻿#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QQmlContext>

class TestClass : public QObject
{
public:
    Q_INVOKABLE QString getTestStr() const  { return testStr; }

    Q_INVOKABLE void setTestStr(const QString &value) { testStr = value; }

    Q_PROPERTY(QString testStr READ getTestStr )
private:
    QString testStr;
};

int main(int argc, char *argv[])
{
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);

    QGuiApplication app(argc, argv);

    TestClass *testClass = new TestClass;
    testClass->setTestStr("test");
    QQmlApplicationEngine engine;
    engine.rootContext()->setContextProperty("test",testClass);

    engine.load(QUrl(QStringLiteral("qrc:/main.qml")));

    return app.exec();
}




