﻿import QtQuick 2.12
import QtQuick.Window 2.12
import QtQuick.Controls 2.15

Window {
    visible: true
    width: 640
    height: 480
    title: qsTr("Hello World")
    PathView {
        pathItemCount: 6
        preferredHighlightBegin: 0.5
        preferredHighlightEnd: 0.5
        anchors.fill: parent
        interactive: true
            model: [5,10,15,20,25,30,35,40,45,50,55,60,65,70,75,80,85,90,95]
            delegate: Text {
                text: modelData
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignVCenter
            }
            path: Path {
                startX: 60  / 2
                startY: -40 / 2
                PathLine {
                    x: 60 / 2
                    y: (5 + 1) * 40 - 40 / 2
                }
            }

    }

}
